%define	name	gdhcpd
%define version 0.2.8
%define release 1mdk

Summary:	GDHCPD -- A GTK+ administation tool for the ISC DHCPD server
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Networking
URL:		http://mange.dynup.net/linux.html
Source0:	http://mange.dynup.net/linux/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	gtk+2-devel
BuildRequires:	ImageMagick
Requires:	dhcp-server >= 3.0.1
Requires:	usermode-consoleonly
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GDHCPD is a fast and easy to use GTK+ administration tool for the
ISC DHCPD server.

%prep

%setup -q

%build

%configure2_5x

perl -pi -e 's|^#define DHCPD_BINARY .*|#define DHCPD_BINARY \"%{_sbindir}/dhcpd\"|g' config.h
perl -pi -e 's|^#define DHCPD_CONF .*|#define DHCPD_CONF \"%{_sysconfdir}/dhcpd.conf\"|g' config.h
perl -pi -e 's|^#define LEASE_FILE .*|#define LEASE_FILE \"%{_localstatedir}/dhcpd/dhcpd.leases\"|g' config.h

%make

%install
rm -rf %{buildroot}

%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 etc/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 etc/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/net-gdhcpd.desktop %{buildroot}%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop

# locales
%find_lang %name

# Mandrake Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}
convert -geometry 48x48 pixmaps/gdhcpd.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/gdhcpd.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/gdhcpd.png %{buildroot}%{_miconsdir}/%{name}.png

# Mandrake Menus
install -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_sbindir}/%{name}" \
 title="GDHCPD" \
 longtitle="ISC DHCPD server administration tool" \
 needs="x11" \
 icon="%{name}.png" \
 section="Configuration/Networking"
EOF

# Prepare usermode entry
mv %{buildroot}%{_sbindir}/gdhcpd %{buildroot}%{_sbindir}/gdhcpd.real
ln -s %{_bindir}/consolehelper %{buildroot}%{_sbindir}/gdhcpd

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} <<_EOF_
USER=root
PROGRAM=%{_sbindir}/gdhcpd.real
SESSION=true
FALLBACK=false
_EOF_

# PAM entry
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/%{name} <<_EOF_
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       sufficient	pam_timestamp.so
auth       required	pam_stack.so service=system-auth
session    required	pam_permit.so
session    optional     pam_xauth.so
session    optional	pam_timestamp.so
account    required     pam_permit.so
_EOF_

rm -rf %{buildroot}%{_datadir}/applications
rm -rf %{buildroot}%{_datadir}/doc/gdhcpd

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_sbindir}/%{name}
%{_sbindir}/%{name}.real
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/pixmaps/%{name}/%{name}.png
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.8-1mdk
- 0.2.8
- drop P0, use spec file hacks instead...

* Tue Apr 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.2.7-1mdk
- 0.2.7

* Fri Mar 18 2005 Austin Acton <austin@mandrake.org> 0.2.4-1mdk
- New release 0.2.4

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.2.3-1mdk
- 0.2.3

* Mon Jan 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.2.2-1mdk
- 0.2.2

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1

* Fri Dec 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.2.0-2mdk
- fix one rpmlint error

* Fri Dec 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.2.0-1mdk
- initial mandrake package, used the gproftpd spec file as a start
- added P0
